Bug 1373462 (CVE-2016-7155) - CVE-2016-7155 Qemu: scsi: pvscsi: OOB read and infinite loop while setting descriptor rings
Summary: CVE-2016-7155 Qemu: scsi: pvscsi: OOB read and infinite loop while setting de...
Status: NEW
Alias: CVE-2016-7155
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160831,repor...
Keywords: Security
Depends On: 1373463
Blocks: 1367956
TreeView+ depends on / blocked
 
Reported: 2016-09-06 10:56 UTC by Prasad J Pandit
Modified: 2018-07-18 15:00 UTC (History)
36 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Prasad J Pandit 2016-09-06 10:56:39 UTC
Quick Emulator(Qemu) built with the VMWARE PVSCSI paravirtual SCSI bus
emulation support is vulnerable to an OOB access and/or infinite loop issue.
It could occur while processing SCSI commands 'PVSCSI_CMD_SETUP_RINGS'.

A privileged user inside guest could use this flaw to crash the Qemu process
resulting in DoS.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-09/msg00050.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/09/06/2

Comment 1 Prasad J Pandit 2016-09-06 10:57:12 UTC
Acknowledgments:

Name: Li Qiang (360.cn Inc.), Victor V (360.cn Inc.)

Comment 2 Prasad J Pandit 2016-09-06 10:58:19 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1373463]

Comment 3 Cole Robinson 2016-10-15 23:21:07 UTC
commit 7f61f4690dd153be98900a2a508b88989e692753
Author: Prasad J Pandit <pjp@fedoraproject.org>
Date:   Wed Aug 31 12:19:29 2016 +0530

    vmw_pvscsi: check page count while initialising descriptor rings


Note You need to log in before you can comment on or make changes to this bug.